btb-class |

# BetterThumbnailBrowser Members

BetterThumbnailBrowser overview

#### Public Static Fields

ExtensionsSeparator | Character for separating extensions in the SupportedExtensions property.

#### Public Instance Constructors

BetterThumbnailBrowser Constructor | Initializes a new instance of the BetterThumbnailBrowser class.

#### Public Instance Properties

CenterThumbnails | Gets or sets a value indicating whether to align thumbnail items to the center horizontally.
ColumnsDisplayMode | Gets or sets display mode of the column headers.
FilenameFormatOptions | Gets or sets the options for generating thumbnail item labels from image file paths.
LoadingProviders | Gets or sets the list of thumbnail item loading providers.
LoadingThreadIsBackground | Gets or sets a value indicating whether the thumbnail item loading thread should run on background.
LoadingThreadPriority | Gets or sets the thumbnail item loading thread priority.
Path | Gets or sets the path to folder from which to load thumbnail items.
RefreshDelay | Gets or sets the delay (in milliseconds) between loaded thumbnail items get refreshed.
SupportedExtensions | Gets or sets the list of supported extensions separated by a semicolon.
ThumbnailImageBorderColor | Gets or sets the border color of the thumbnail image border.
ThumbnailImageBorderThickness | Gets or sets the thumbnail image border thickness (in pixels).
ThumbnailImageBorderType | Gets or sets the style of the thumbnail image border.
ThumbnailImagePadding | Gets or sets the thumbnail image padding.
ThumbnailInnerPadding | Gets or sets the thumbnail item internal padding.
ThumbnailOuterPadding | Gets or sets the thumbnail item external padding.
ThumbnailSize | Gets or sets the thumbnail image size in the current view.
ThumbnailSizesMouseWheel | Gets or sets the list of thumbnail sizes used for mouse wheel zooming.
ThumbnailSpacing | Gets or sets spacing between thumbnail items.
ThumbnailTextLines | Gets or sets the maximum allowed number of thumbnail item text lines.
ThumbnailTextPadding | Gets or sets the thumbnail item text padding.
View | Gets or sets the way of displaying BetterListView items.

#### Public Instance Methods

GetThumbnailSize | Get thumbnail image size for the specified view.
GetThumbnailSpacing | Get spacing between items in the specified view.
RestartLoading | Overloaded. Restart item loading if already running.
SetThumbnailSize | Set thumbnail image size for the specified view.
SetThumbnailSpacing | Set spacing between items for the specified view.
StartLoading | Start loading thumbnail items.
StopLoading | Stop loading thumbnail items.
ZoomIn | Increase thumbnail image size.
ZoomOut | Decrease thumbnail image size.

#### Public Instance Events

ItemLoaded | Occurs when single item have been loaded.
LoadingFinished | Occurs when item loading has finished (raised even if loading have been cancelled or have failed.
ThumbnailSizeChanged | Occurs when thumbnail image size has changed.

#### Protected Instance Methods

Dispose | Overloaded. Releases the unmanaged resources used by the Control and its child controls and optionally releases the managed resources.
OnItemLoaded | Raises the ItemLoaded event.
OnLoadingFinished | Raises the LoadingFinished event.
OnMouseWheel | Raises the MouseWheel event.
OnParentChanged | Raises the ParentChanged event.
OnResize | Raises the Resize event.
OnScrollBarValueChanged | Raises the HScrollPropertiesChanged event or the VScrollPropertiesChanged event.
OnThumbnailSizeChanged | Raises the ThumbnailSizeChanged event.
OnViewChanged | Raises the ViewChanged event.

#### See Also

BetterThumbnailBrowser Class | ComponentOwl.BetterThumbnailBrowser Namespace